# TweakScale Companion Program

A centralised database for keeping up with the growing TweakScale Companion Program.

Provides a mega package including all Companions currently published for the lazy installers. This package is updated sparingly, the Companion's repositories (listed below) will always be updated with the latest versions - and are still the canonical way to have everything up to date.

## In a Hurry

* [Source](https://github.com/net-lisias-ksp/TweakScaleCompanion)
	+ [Issue Tracker](https://github.com/net-lisias-ksp/TweakScaleCompanion/issues)
* Documentation
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/192216-*)
	+ [Project's README](https://github.com/net-lisias-ksp/TweakScaleCompanion/blob/master/README.md)
	+ [Install Instructions](https://github.com/net-lisias-ksp/TweakScaleCompanion/blob/master/INSTALL.md)
* Official Distribution Sites:
	+ [CurseForge](https://www.curseforge.com/kerbal/ksp-mods/tweakscale-companion)
	+ SpaceDock (WiP)
	+ [Homepage](http://ksp.lisias.net/add-ons/TweakScaleCompanion) on L Aerospace
	+ [Latest Release](https://github.com/net-lisias-ksp/TweakScaleCompanion/releases)


## Description

**TweakScale Companion Program** is a series of "Add'On's Add'Ons", adding TweakScale /L support for third parties but decoupling the target Add'On's life cycle from TweakScale's , easing maintenance and distribution efforts.

The purpose of this project is to provide a centralised, controlled and curated (minimalistic) database to allow TweakScale to keep track of the Companions and propose actions to the user when needed, as well to make TweakScale user's life easier at first installs with a (most of the time) updated collection with all the currently available Companions at once.

### Current Companions

#### Gold Status

* [TweakScale Companion for Firespitter](https://github.com/net-lisias-ksp/TweakScaleCompanion_FS)
	+ For (surpringly :P) [Firespiter](https://forum.kerbalspaceprogram.com/index.php?/topic/184773-*/)
* [TweakScale Companion for KIS](https://github.com/net-lisias-ksp/TweakScaleCompanion_KIS)
	+ For (surpringly :P) [KIS](https://forum.kerbalspaceprogram.com/index.php?/topic/149848-*)
* [TweakScale Companion PKMC](https://github.com/net-lisias-ksp/TweakScaleCompanion_PKMC)
	+ [Near Future Technologies](https://forum.kerbalspaceprogram.com/index.php?/topic/155465-*/)
		- Near Future Aeronautics
		- Near Future Construction
		- Near Future Electric
		- Near Future Exploration
		- Near Future Launch Vehicles
		- Near Future Propulsion
		- Near Future Solar
		- Near Future Space Craft
	+ Stock alike Space Station Expansion ([Redux](https://forum.kerbalspaceprogram.com/index.php?/topic/170211-*/) and Legacy)
* [TweakScale Companion for ReStockPlus](https://github.com/net-lisias-ksp/TweakScaleCompanion_ReStockPlus)
	+ For [ReStock[+]](https://forum.kerbalspaceprogram.com/index.php?/topic/182679-*/)

#### Alphas, Betas and Release Candidades

* [TweakScale Companion for Airplane Plus](https://github.com/net-lisias-ksp/TweakScaleCompanion_APP) *Beta*
* [TweakScale Companion Frameworks](https://github.com/net-lisias-ksp/TweakScaleCompanion_Frameworks)
	+ [Waterfall](https://forum.kerbalspaceprogram.com/index.php?/topic/196309-*/)
* [TweakScale Companion for OPT](https://github.com/net-lisias-ksp/TweakScaleCompanion_OPT) *_Alpha_*
	+ For OPT (including Legacy) 
* [TweakScale Companion LivingStyle](https://github.com/net-lisias-ksp/TweakScaleCompanion_LivingStyle) *Beta*
	+ PorkJet's HabPack
	+ HabTech (1)
	+ HabTech 2
	+ Tokamak Industries 
* [TweakScale Companion Multipass](https://github.com/net-lisias-ksp/TweakScaleCompanion_Multipass) *Beta*
	+ Arc Aerospace
	+ MechJeb 2 
* [TweakScale Companion SpannerMonkey](https://github.com/net-lisias-ksp/TweakScaleCompanion_SMCE) *Beta*
	+ Large Ship Parts pack 


## Installation

Detailed installation instructions are now on its own file (see the [In a Hurry](#in-a-hurry) section) and on the distribution file.

### License

* This work is licensed as follows:
	+ [SKL 1.0](https://ksp.lisias.net/SKL-1_0.txt). See [here](./LICENSE.SKL-1_0)
		+ You are free to:
			- Use : unpack and use the material in any computer or device
			- Redistribute: redistribute the original package in any medium
		+ Under the following terms:
			- You agree to use the material only on (or to) KSP
			- You don't alter the package in any form or way (but you can embedded it)
			- You don't change the material in any way, and retain any copyright notices
			- You must explicitly state the author's Copyright, as well an Official Site for downloading the original and new versions (the one you used to download is good enough)
	+ Individual packages under the `GameData/TweakScaleCompanion` directory are distributed under their own licenses.

Be advised that redistribution of derivatives is expressibly forbidden.

See [NOTICE](./NOTICE) for further copyright and trademarks notices.


## References

* TweakScale /L ([LisiasT](https://forum.kerbalspaceprogram.com/index.php?/profile/187168-lisias/))
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/179030-ksp-141-tweakscale-under-lisias-management-24310-2019-1030/)
	+ [CurseForge](https://kerbal.curseforge.com/projects/tweakscale)
	+ [SpaceDock](https://spacedock.info/mod/127/TweakScale)
	+ [Homepage](http://ksp.lisias.net/add-ons/TweakScale) on L Aerospace
	+ [GitHub](https://github.com/net-lisias-ksp/TweakScale).
